import { defineConfig } from 'astro/config';
import react from '@astrojs/react';
import umami from "@yeskunall/astro-umami";
import tailwindcss from "@tailwindcss/vite";

export default defineConfig({
  integrations: [
    umami({
      id: "343a00a4-7e34-4177-b07c-dce26ffc1b50",
      endpointUrl: "https://umami.z0x.ca",
    }),
    react(),
  ],
  vite: {
    plugins: [tailwindcss()],
  },
});
